Skip to main content
POST
/
api
/
detection-queries
/
generate-async
cURL
curl -X POST "https://app.cotool.ai/api/detection-queries/generate-async" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"prompt":"string","siemType":"splunk","category":"baseline_anomaly"}'
import requests

url = "https://app.cotool.ai/api/detection-queries/generate-async"

payload = { "prompt": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>'})
};

fetch('https://app.cotool.ai/api/detection-queries/generate-async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/detection-queries/generate-async")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\"\n}")
.asString();
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://app.cotool.ai/api/detection-queries/generate-async"

payload := strings.NewReader("{\n \"prompt\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": "<string>",
"issues": [
{}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"missingPerms": [
"<string>"
]
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Body

application/json

Request body for generating a detection query using AI

prompt
string
required

Natural language description of what the query should accomplish

Minimum string length: 1
siemType
enum<string>
required

The detection tool platform to generate the query for (SIEM or endpoint tools like SentinelOne)

Available options:
splunk,
sumologic,
elastic,
databricks,
datadog,
scanner,
runreveal,
sentinelone,
gadmin
category
enum<string>

The detection category to optimize the query for

Available options:
baseline_anomaly,
first_occurrence,
sequence_pattern,
privilege_escalation,
custom

Response

Successful response

Async detection query generation job identifier

jobId
string<uuid>
required

Background job ID for this query generation request